from flask import Flask, render_template, request, redirect, url_for, request
import sqlite3 as sql
import os

app = Flask(__name__)
dbname="contacts.db"

def createDatabase():
 c = sql.connect(dbname)
 c.execute("DROP TABLE IF EXISTS contacts")        
 c.execute("CREATE TABLE contacts(name TEXT,email TEXT,phone TEXT)")
 c.commit()
 c.close()	
 return "Database created"

@app.route('/add', methods=['GET', 'POST'])
def add_contact():
 if request.method == 'POST':
 
  if not os.path.exists(dbname):
   createDatabase()
			
  name = request.form['name']
  email = request.form['email']
  phone = request.form['phone'] 
  
  conn = sql.connect(dbname)
  db = conn.cursor()               
  db.execute("INSERT INTO contacts (name,email,phone) VALUES (?,?,?)",(name,email,phone))
  conn.commit()
  conn.close()

  return render_template("contact_successful.html")
 return render_template('add_contact.html')

@app.route('/get', methods=['GET', 'POST'])
def get_contact():
 if request.method == 'POST':
  name = request.form['name']
  conn = sql.connect(dbname)
  cursor = conn.cursor()
  c=cursor.execute("SELECT phone, email FROM contacts WHERE name=?",(name,))
  row=c.fetchall()
  phone=row[0][0]
  email=row[0][1]
  conn.commit()
  conn.close()
  return render_template("show_contact.html",name = name, email=email, phone=phone)
 return render_template('get_contact.html')

if __name__ == '__main__':
 app.run()
	



